> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a template

> Create a contract template from an uploaded file. <h3>OAuth</h3>Required scopes: <code>invoices</code>



## OpenAPI

````yaml /assets/openapi.json post /contracts/templates/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /contracts/templates/v1:
    post:
      tags:
        - Contracts
      summary: Create a template
      description: >-
        Create a contract template from an uploaded file. <h3>OAuth</h3>Required
        scopes: <code>invoices</code>
      operationId: createTemplate
      parameters:
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/createTemplate'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTemplate'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - OAuth2:
            - invoices
components:
  requestBodies:
    createTemplate:
      content:
        application/json:
          schema:
            type: object
            properties:
              template:
                type: object
                properties:
                  file:
                    type: object
                    properties:
                      key:
                        type: string
                        description: Storage key of the template file.
                    required:
                      - key
                    description: Template file reference.
                  locationRef:
                    type: string
                    format: uuid
                    description: ID of the location this template belongs to.
                  title:
                    type: string
                    description: Template title.
                required:
                  - file
                  - locationRef
                  - title
                description: Template to create.
            required:
              - template
      required: true
  schemas:
    getTemplate:
      type: object
      properties:
        template:
          type: object
          properties:
            createDate:
              type: string
              format: date-time
              description: ISO timestamp of when the template was created.
            file:
              type: object
              properties:
                key:
                  type: string
                  description: Storage key of the template file.
                url:
                  type: string
                  description: Download URL of the template file.
              required:
                - key
                - url
              additionalProperties: false
              description: Template file reference.
            id:
              type: string
              format: uuid
              description: Unique identifier of the template.
            locationRef:
              type: string
              format: uuid
              description: ID of the location this template belongs to.
            media:
              type: array
              items:
                type: object
                properties:
                  key:
                    type: string
                  url:
                    type: string
                required:
                  - key
                  - url
                additionalProperties: false
              description: Media files associated with the template.
            title:
              type: string
              description: Template title.
            updateDate:
              type: string
              format: date-time
              description: ISO timestamp of when the template was last updated.
          required:
            - createDate
            - file
            - id
            - locationRef
            - media
            - title
            - updateDate
          additionalProperties: false
          description: The template.
      required:
        - template
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````